# Danh mục tin tức

* /api/article/categories: Tính năng này được sử dụng để lấy toàn bộ danh mục tin tức của doanh nghiệp trên Nhanh.vn.

## Request

Xem các [common request params](/v2/readme.md#request-params)

## Response

JSON decode the response to get the structure:

| Key      | Type  | Description                                   |
| -------- | ----- | --------------------------------------------- |
| code     | int   | 1 = success or 0 = failed                     |
| messages | array | is an array of error messages if code = 0     |
| data     | array | is an array of product category (multi-level) |

```javascript
[
    [
        "id" => int,
        "name" => string,
        "status" => int,
        "parentId" => int,
        "childs" => [ // child categories
            [
                "id" => int,
                "name" => string,
                "status" => int,
                "parentId" => int,
                "childs" => [
                    ...
                ],
            ],
            ...
        ]
    ],
    ...
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v2/website/articlecategory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
